Bug 201933 - x11-fonts/fontconfig: SymbolNeu Encoding Issue
Summary: x11-fonts/fontconfig: SymbolNeu Encoding Issue
Status: In Progress
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-gnome mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-07-28 04:08 UTC by Hiroki Sato
Modified: 2018-01-12 04:59 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (gnome)


Attachments
Patch for fontconfig port (1.83 KB, patch)
2015-07-28 04:08 UTC, Hiroki Sato
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hiroki Sato freebsd_committer 2015-07-28 04:08:12 UTC
Created attachment 159320 [details]
Patch for fontconfig port

SymbolNeu installed by x11-fonts/croscorefonts-fonts-ttf has an encoding problem that causes wrong character mapping.  The details are described in https://bugzilla.redhat.com/show_bug.cgi?id=923346. This font is registered by 30-metric-aliases.conf installed by x11-fonts/fontconfig as a Symbol family font.

SymbolNeu as "Symbol" font should be disabled unless the encoding issue is fixed in the upstream.  The attached patch comments out the entries in 30-metric-aliases.conf.  There is no negative impact because one of other fonts is used as Symbol if required.
Comment 1 Koop Mast freebsd_committer 2015-07-28 07:35:06 UTC
I don't have a problem with the patch, but I can't seem to find a upstream bug to go with this? neither does the redhat bug talk about that. I would like to include a upstream bug link to the patch so we can use that to keep track of what upstream is doing.
Comment 2 Hiroki Sato freebsd_committer 2015-07-30 02:31:08 UTC
Sounds reasonable, but the upstream is ChromeOS and I do not think they have a public bug tracker (right?).  While ChromiumOS source tree is available, it does not include this font as far as I can check.

This problem is caused by lack of Unicode map in the font file and recent fontconfig does not support legacy non-Unicode maps like Adobe-Roman.  Maybe this problem does not occur on ChromeOS.
Comment 3 Koop Mast freebsd_committer 2015-08-09 17:03:45 UTC
Sorry for being unclear, I was thinking about fontconfig upstream.

https://bugs.freedesktop.org/describecomponents.cgi?product=fontconfig
http://cgit.freedesktop.org/fontconfig
Comment 4 w.schwarzenfeld freebsd_triage 2018-01-12 04:48:10 UTC
Is this still relevant?
Comment 5 w.schwarzenfeld freebsd_triage 2018-01-12 04:59:00 UTC
I should have to look before I post something.
conf.d/30-metric-aliases.conf shows:


 390         <alias binding="same">
    391           <family>SymbolNeu</family>
    392           <default>
    393           <family>Symbol</family>
    394           </default>

 605         <alias binding="same">
    606           <family>Symbol</family>
    607           <accept>
    608             <family>SymbolNeu</family>
    609           </accept>

It is done and could be closed.